cdac.medinfo.sdk.hl7282.utils

## Interface IComponentItem

- All Known Implementing Classes:
    ComponentItem

      public interface IComponentItem

  IComponentItem needs to be implemented by class which defines structure of HL7 defined Components for a DataType.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConformanceLength()` retrieves Conformance Length for Component defined by defined HL7 Standard in Segment
    `java.lang.String` | `getDataType()` Retrieves Data Type for Component defined by HL7 standard in segment
    `java.lang.String` | `getFieldName()` Retrieves name of Component
    `int` | `getMaximumLength()` Retrieves Maximum Length for Component defined by HL7 standard in segment
    `int` | `getMinimunLength()` Retrieves Minimum Length for Component defined by HL7 standard in segment
    `int` | `getSequenceNo()` Retrieves sequence number for Component defined by HL7 standard in segment
    `int[]` | `getTableNo()` Retrieves Table number for Component defined by HL7 standard in segment
    `boolean` | `isOptional()` Shows optionality status for Component defined by HL7 standard in segment
    `void` | `setConformanceLength(java.lang.String strCLength)` Set Conformance Length for component defined by Hl7 standard in Segment
    `void` | `setDataType(java.lang.String strDataType)` Sets Datatype for Component defined by HL7 standard in segment
    `void` | `setFieldName(java.lang.String strName)` Sets name of Component
    `void` | `setMaximumLength(int maxLen)` Sets Maximum Length for Component defined by HL7 standard in segment
    `void` | `setMinimumLength(int minLen)` Sets Minimum Length for Component defined by HL7 standard in segment
    `void` | `setOptional(boolean bOptional)` Sets optionality status for Component defined by HL7 standard in segment
    `void` | `setSequenceNo(int intSeq)` Sets sequence number for Component defined by HL7 standard in segment
    `void` | `setTableNo(int[] intTableNo)` Sets Table number for Component defined by HL7 standard in segment

- - ### Method Detail

    - #### getFieldName

          java.lang.String getFieldName()

      Retrieves name of Component
      Returns:
        String - name of Component

    - #### setFieldName

          void setFieldName(java.lang.String strName)

      Sets name of Component
      Parameters:
        `strName` - name of Component

    - #### getSequenceNo

          int getSequenceNo()

      Retrieves sequence number for Component defined by HL7 standard in segment
      Returns:
        int - value of sequence index

    - #### setSequenceNo

          void setSequenceNo(int intSeq)

      Sets sequence number for Component defined by HL7 standard in segment
      Parameters:
        `intSeq` - value of sequence index

    - #### getMinimunLength

          int getMinimunLength()

      Retrieves Minimum Length for Component defined by HL7 standard in segment
      Returns:
        int - value of Minimum length

    - #### setMinimumLength

          void setMinimumLength(int minLen)

      Sets Minimum Length for Component defined by HL7 standard in segment
      Parameters:
        `minLen` - Minimum length value

    - #### getMaximumLength

          int getMaximumLength()

      Retrieves Maximum Length for Component defined by HL7 standard in segment
      Returns:
        int - value of Maximum length

    - #### setMaximumLength

          void setMaximumLength(int maxLen)

      Sets Maximum Length for Component defined by HL7 standard in segment
      Parameters:
        `maxLen` - Maximum length value

    - #### getConformanceLength

          java.lang.String getConformanceLength()

      retrieves Conformance Length for Component defined by defined HL7 Standard in Segment
      Returns:
        String -value of Conformance Length

    - #### setConformanceLength

          void setConformanceLength(java.lang.String strCLength)

      Set Conformance Length for component defined by Hl7 standard in Segment
      Parameters:
        `strCLength` - Conformance Length value

    - #### getDataType

          java.lang.String getDataType()

      Retrieves Data Type for Component defined by HL7 standard in segment
      Returns:
        String name of DataType

    - #### setDataType

          void setDataType(java.lang.String strDataType)

      Sets Datatype for Component defined by HL7 standard in segment
      Parameters:
        `strDataType` - name of Component

    - #### getTableNo

          int[] getTableNo()

      Retrieves Table number for Component defined by HL7 standard in segment
      Returns:
        int[] - array of table number

    - #### setTableNo

          void setTableNo(int[] intTableNo)

      Sets Table number for Component defined by HL7 standard in segment
      Parameters:
        `intTableNo` - array of table number

    - #### isOptional

          boolean isOptional()

      Shows optionality status for Component defined by HL7 standard in segment
      Returns:
        boolean - status as true or false

    - #### setOptional

          void setOptional(boolean bOptional)

      Sets optionality status for Component defined by HL7 standard in segment
      Parameters:
        `bOptional` - status as true or false